[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-changelog] 1) "brctl show" has no parameters.



# HG changeset patch
# User dykman@xxxxxxxxxx
# Node ID 83bc047bb3463371526d18d11967c9b9949b6557
# Parent  1e3042a9390442269395c0171923ddba77ef3c45
1) "brctl show" has no parameters.
2) Add a -n flag to iptables -L to skip DNS lookups

diff -r 1e3042a93904 -r 83bc047bb346 tools/examples/vif-bridge
--- a/tools/examples/vif-bridge Sun Nov 20 14:01:15 2005
+++ b/tools/examples/vif-bridge Sun Nov 20 14:37:08 2005
@@ -48,9 +48,9 @@
 
 case "$command" in
     online)
-        if brctl show "$bridge" | grep "$vif" >&/dev/null
+        if brctl show | grep "$vif" >&/dev/null
         then
-          log debug "$vif already attached to $bridge"
+          log debug "$vif already attached to a bridge"
           exit 0
         fi
 
diff -r 1e3042a93904 -r 83bc047bb346 tools/examples/vif-common.sh
--- a/tools/examples/vif-common.sh      Sun Nov 20 14:01:15 2005
+++ b/tools/examples/vif-common.sh      Sun Nov 20 14:37:08 2005
@@ -82,7 +82,7 @@
   # binary is not sufficient, because the user may not have the appropriate
   # modules installed.  If iptables is not working, then there's no need to do
   # anything with it, so we can just return.
-  if ! iptables -L >&/dev/null
+  if ! iptables -L -n >&/dev/null
   then
     return
   fi

_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.